/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-06-12
 * 描述            ：二级接口-轧机_L2_能耗实绩
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Rolling.Performance.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Rolling.Performance.mapper.IfRoll01L2EnergyMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="IF_ROLL01_L2_ENERGY", namespace=IfRoll01L2EnergyMapper.class)
public class IfRoll01L2Energy extends BaseVO implements Serializable {
	/** 
	 * 消息时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date msg_time;
	public Date getMsg_time() {
		return this.msg_time;
	}
	public void setMsg_time(Date msg_time) {
		this.msg_time = msg_time;
	}

	/** 
	 * 日期（YYYYMMDD）
	 */ 
	@Column
	private String tc_time;
	public String getTc_time() {
		return this.tc_time;
	}
	public void setTc_time(String tc_time) {
		this.tc_time = tc_time;
	}

	/** 
	 * 班次
	 */ 
	@Column
	private String shift;
	public String getShift() {
		return this.shift;
	}
	public void setShift(String shift) {
		this.shift = shift;
	}

	/** 
	 * 班别
	 */ 
	@Column
	private String crew;
	public String getCrew() {
		return this.crew;
	}
	public void setCrew(String crew) {
		this.crew = crew;
	}

	/** 
	 * 电（kwh）
	 */ 
	@Column
	private String electricity;
	public String getElectricity() {
		return this.electricity;
	}
	public void setElectricity(String electricity) {
		this.electricity = electricity;
	}

	/** 
	 * 净化水（10-2T）
	 */ 
	@Column
	private String purify_water;
	public String getPurify_water() {
		return this.purify_water;
	}
	public void setPurify_water(String purify_water) {
		this.purify_water = purify_water;
	}

	/** 
	 * 循环水(工业水)（10-2T）
	 */ 
	@Column
	private String circulating_water;
	public String getCirculating_water() {
		return this.circulating_water;
	}
	public void setCirculating_water(String circulating_water) {
		this.circulating_water = circulating_water;
	}

	/** 
	 * 预留1
	 */ 
	@Column
	private String reserver1;
	public String getReserver1() {
		return this.reserver1;
	}
	public void setReserver1(String reserver1) {
		this.reserver1 = reserver1;
	}

	/** 
	 * 预留2
	 */ 
	@Column
	private String reserver2;
	public String getReserver2() {
		return this.reserver2;
	}
	public void setReserver2(String reserver2) {
		this.reserver2 = reserver2;
	}

	/** 
	 * 预留3
	 */ 
	@Column
	private String reserver3;
	public String getReserver3() {
		return this.reserver3;
	}
	public void setReserver3(String reserver3) {
		this.reserver3 = reserver3;
	}

}
